[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Import of Images from Andor Cameras |

## Classes

class | SIFImportInfo
| Extracts image properties from an Andor SIF file header. More...

## Functions

std::ostream & | operator<< (std::ostream &os, const SIFImportInfo &info)
void | readSIF (const SIFImportInfo &info, MultiArrayView< 3, float > array)
| Read the image data specified by the given vigra::SIFImportInfo object and write them into the given 'array'. More...
void | readSIFBlock (const SIFImportInfo &info, Shape3 offset, Shape3 shape, MultiArrayView< 3, float > array)
| Read parts of the image data from an Andor SIF file specified with an SIFImportInfo object and write them into the MultiArray array. More...

## Detailed Description

Read an Andor SIF file into a MultiArrayView.

## Function Documentation

## ◆ readSIF()

void vigra::readSIF | ( | const SIFImportInfo & | info,
|  | MultiArrayView< 3, float > | array
| ) |  |

Read the image data specified by the given vigra::SIFImportInfo object and write them into the given 'array'.

The array must have the correct number of dimensions and shape for the dataset represented by 'info'.

Declaration:

namespace vigra {
void
readSIF(const SIFImportInfo &info, MultiArrayView<3, float> array);
}

Usage:

#include <vigra/sifImport.hxx>
Namespace: vigra

SIFImportInfo info(filename);
// create a 3D array of appropriate size
typedef MultiArray<3, float>::difference_type Shape;
MultiArray<3, float> in(Shape(info.width(), info.height(), info.stacksize()));
readSIF(info, in);

## ◆ readSIFBlock()

void vigra::readSIFBlock | ( | const SIFImportInfo & | info,
|  | Shape3 | offset,
|  | Shape3 | shape,
|  | MultiArrayView< 3, float > | array
| ) |  |

Read parts of the image data from an Andor SIF file specified with an SIFImportInfo object and write them into the MultiArray array.

SIFImportInfo info(filename);
// create a 3D array of appropriate size
MultiArray<3, float> in(Shape3(info.width(), info.height(), 1));
readBlock(info, Shape3(0,0,0), Shape3(w,h,1), im); // read the first frame only

## ◆ operator<<()

std::ostream& vigra::operator<< | ( | std::ostream & | os,
|  | const SIFImportInfo & | info
| ) |  |

Output all information such as shutter, Temperature etc. as human readable output.

Usage:

#include <vigra/sifImport.hxx>
Namespace: vigra

SIFImportInfo info(filename);
std::cout << info << std::endl; // print infos to the console

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0